/etc/default/apport mistakenly installed as /etc/default/apport.default

Bug #361543 reported by Steve Beattie on 2009-04-15
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Medium
Martin Pitt
Jaunty
Medium
Martin Pitt

Bug Description

Binary package hint: apport

  $ dpkg -L apport | grep /etc/default/apport
  /etc/default/apport.default

the initscript expects it in /etc/default/apport, which means that even if people enable it in the default file, it won't actually be enabled.

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
Package: apport 1.0-0ubuntu4
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: apport
Uname: Linux 2.6.28-11-generic i686

Steve Beattie (sbeattie) wrote :
Steve Langasek (vorlon) on 2009-04-15
Changed in apport (Ubuntu Jaunty):
assignee: nobody → pitti
importance: Undecided → Medium
status: New → Triaged
Florent (florent.x) wrote :

(copied from the duplicate bug)

The confusing file "/etc/default/apport.default" was added silently in version 0.149: no hint in the changelog file.

I just upgraded to version 1.0-0ubuntu4, and it is worse, because both files have different settings. And the last change occurs in the wrong file:
  "Disable Apport by default for the final release."

user@jaunty$ diff -u /etc/default/apport*
--- /etc/default/apport 2009-03-05 15:41:19.000000000 +0100
+++ /etc/default/apport.default 2009-04-14 11:55:25.000000000 +0200
@@ -1,7 +1,7 @@
 # set this to 0 to disable apport, or to 1 to enable it
 # you can temporarily override this with
 # sudo force_start=1 /etc/init.d/apport start
-enabled=1
+enabled=0

 # set maximum core dump file size (default: 209715200 bytes == 200 MB)
 maxsize=209715200
user@jaunty$ sed -n '14p;23p' /etc/init.d/apport
NAME=apport
[ -e /etc/default/$NAME ] && . /etc/default/$NAME || true

Martin Pitt (pitti) wrote :

Uploaded, waiting in unapproved now.

Changed in apport (Ubuntu Jaunty):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 1.0-0ubuntu5

---------------
apport (1.0-0ubuntu5) jaunty; urgency=low

  [ Martin Pitt ]
  * Rename etc/default/apport.default to etc/default/apport (brown paperbag),
    and add debian/apport.preinst to remove the apport.default file on
    upgrades. (LP: #361543)
  * debian/rules: Call dh_installinit with --onlyscripts, so that the package
    calls update-rc.d again. This fixes the calling of init script again,
    which got broken in 1.0-0ubuntu1. (LP: #361579)

  [ Matt Zimmerman ]
  * package-hooks/source_linux.py: Attach /etc/initramfs-tools/conf.d/resume to
    show the resume device for hibernation

 -- Martin Pitt <email address hidden> Wed, 15 Apr 2009 22:36:33 +0200

Changed in apport (Ubuntu Jaunty):
status: Fix Committed → Fix Released
tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers